i have been given a pro mac g5 intact but with out a op system are their any pre reqs to loading 10.6?? I am in every way a newbie to the mac world.

Back To Product

Follow this Question

3 Answers from the Community

  • Mac OS X 10.6 Snow Leopard does not support PowerPC G5-based Macs. The latest version supported by your system would be Mac OS X 10.5 Leopard.

    Was this useful? Answer 1

    0 of 0 people found this useful

  • that computer will not run 10.6. 10.6 requires an intel cpu.

    Was this useful? Answer 2

    0 of 0 people found this useful

  • Snow Leopard will not run on a G5, sorry. You will have to find a copy of 10.5 Leopard or older.

    Was this useful? Answer 3

    0 of 0 people found this useful

Related Questions